Bug 1118427 - dmg2img-1.6.5 is available
Summary: dmg2img-1.6.5 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dmg2img
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 16:53 UTC by Christopher Meng
Modified: 2016-03-14 11:06 UTC (History)
2 users (show)

Fixed In Version: dmg2img-1.6.5-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-06 10:19:32 UTC


Attachments (Terms of Use)
Updates SPEC file to 1.6.5 (1.05 KB, patch)
2014-07-15 08:20 UTC, Eric Work
no flags Details | Diff

Description Christopher Meng 2014-07-10 16:53:39 UTC
Hi,

Please update to the latest version.

Thanks.

PS changelog since 1.6.2(current, f21 branch):

dmg2img-1.6.5:
Fixed a bug in handling some types of dmg files

dmg2img-1.6.4:
Compilation bugfix (Linux)

dmg2img-1.6.3:
Added option -l to list partitions
Added option -p to extract only specific partition
Added support for a rare case scenario of koly block being at the the beginning of the image

Comment 1 Eric Work 2014-07-15 08:20:30 UTC
Created attachment 918078 [details]
Updates SPEC file to 1.6.5

Just repeating my email for others (should have searched bugzilla first)

The dmg2img package needs updating.  Version 1.6.5 introduced support for new formats and without this support it's not very useful anymore. For example I was unable to convert the 10.7 install dmg until I updated to 1.6.5.  Currently the package is at version 1.6.2.  Seeing as how you are the point of contact according to the package database I thought I would contact you and give you a patch to update the SPEC file.  If you don't have time and would like to hand over ownership of the package to me seeing as how it's become stale I'm ok with that as well.  With the attached patch and the latest sources from http://vu1tur.eu.org/tools/dmg2img-1.6.5.tar.gz it builds fine with mock.  I didn't run it though rpmlint, but I didn't change anything except the version and sources.

Comment 2 Christopher Meng 2014-07-15 08:39:23 UTC
Peter is still alive ;) Just emailed.

Comment 3 Fedora Update System 2014-11-16 18:42:24 UTC
dmg2img-1.6.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dmg2img-1.6.5-1.fc21

Comment 4 Fedora Update System 2014-11-18 12:16:07 UTC
Package dmg2img-1.6.5-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dmg2img-1.6.5-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15280/dmg2img-1.6.5-1.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-12-06 10:19:32 UTC
dmg2img-1.6.5-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.